For AI agents: an index of this documentation is at https://developer.rippling.com/llms.txt. Public pages have a Markdown version at the same URL with .md added.

Skip to main content
API

List company legal entities

GET
/company-legal-entities/

List company legal entities

GET
/company-legal-entities/

Returns a paginated list of company legal entities linked to your organization.

Helpful resources

Required Scopes

  • company-legal-entities.read

Request

Query Parameters
    filter string
    order_by string
    limit integerrequired

    Possible values: >= 1 and <= 100

    Default value: 50

    The maximum number of results to return. Defaults to 50. Maximum is 100.

    cursor string

Using filters

Include one or more of these fields in the filter parameter to refine your results.

Fields:country_code

Sorting results

Include one or more of these fields in the sort parameter to control result order.

Fields:id, created_at, updated_at

Responses​

Successful response
Schema
    __meta object
    A list of redacted fields.
      redacted_fields object[]
        Array [
        name string

        The name for the redacted field

        reason string

        The reason for the redaction

        ]
    results object[]
      Array [
      id stringrequired

      Identifier field

      created_at stringrequired

      Record creation date

      updated_at stringrequired

      Record update date

      country_code string

      The ISO country code for the entity.

      legal_name string

      The legal name of the entity.

      entity_level string

      The entity's level in a hierarchy. * PARENT: The legal entity is considered the ultimate holding entity. * SUBSIDIARY: The legal entity is considered a subsidiary, fully or partially held by another. * BRANCH: The legal entity is considered a branch, associated with a parent legal entity.

      Possible values: [PARENT,SUBSIDIARY,BRANCH]
      registration_date string

      The registration date of the entity.

      mailing_address object
      The mailing address of the entity.
        type string

        The classification of the address.

        Possible values: [HOME,WORK,OTHER]
        formatted string

        The formatted mailing address.

        street_address string

        The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

        locality string

        The city or locality component.

        region string

        The state or region component, pursuant to SCIM RFC 7643 4.1.2.

        postal_code string

        The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

        country string

        The country component, pursuant to SCIM RFC 7643 4.1.2.

        Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
      physical_address object
      The physical address of the entity, if it differs from the mailing address.
        type string

        The classification of the address.

        Possible values: [HOME,WORK,OTHER]
        formatted string

        The formatted mailing address.

        street_address string

        The full street address component, which may include house number, street name, P.O. box, and multi-line extended street address information, pursuant to SCIM RFC 7643 4.1.2..

        locality string

        The city or locality component.

        region string

        The state or region component, pursuant to SCIM RFC 7643 4.1.2.

        postal_code string

        The zip code or postal code component, pursuant to SCIM RFC 7643 4.1.2.

        country string

        The country component, pursuant to SCIM RFC 7643 4.1.2.

        Possible values: [AF,AX,AL,DZ,AS,AD,AO,AI,AQ,AG,AR,AM,AW,AU,AT,AZ,BS,BH,BD,BB,BY,BE,BZ,BJ,BM,BT,BO,BQ,BA,BW,BV,BR,IO,BN,BG,BF,BI,CV,KH,CM,CA,KY,CF,TD,CL,CN,CX,CC,CO,KM,CG,CD,CK,CR,CI,HR,CW,CY,CZ,DK,DJ,DM,DO,EC,EG,SV,GQ,ER,EE,SZ,ET,FK,FO,FJ,FI,FR,GF,PF,TF,GA,GM,GE,DE,GH,GI,GR,GL,GD,GP,GU,GT,GG,GN,GW,GY,HT,HM,VA,HN,HK,HU,IS,IN,ID,IQ,IR,IE,IM,IL,IT,JM,JP,JE,JO,KZ,KE,KI,KR,XK,KW,KG,LA,LV,LB,LS,LR,LY,LI,LT,LU,MO,MG,MW,MY,MV,ML,MT,MH,MQ,MR,MU,YT,MX,FM,MD,MC,MN,ME,MS,MA,MZ,MM,NA,NR,NP,NL,AN,NC,NZ,NI,NE,NG,NU,NF,MK,MP,NO,OM,PK,PW,PS,PA,PG,PY,PE,PH,PN,PL,PT,PR,QA,RO,RU,RW,RE,BL,SH,KN,LC,MF,PM,VC,WS,SM,ST,SA,SN,RS,SC,SL,SG,SX,SY,SK,SI,SB,SO,ZA,GS,SS,ES,LK,SD,SR,SJ,SE,CH,TW,TJ,TZ,TH,TL,TG,TK,TO,TT,TN,TR,TM,TC,TV,UG,UA,AE,GB,US,UM,UY,UZ,VU,VE,VN,VG,VI,WF,EH,YE,ZM,ZW]
      is_eor boolean

      True if this entity is managed as an Employer of Record.

      is_cor boolean

      True if this entity is managed as a Contractor of Record.

      is_peo boolean

      True if this entity is managed as a Professional Employment Organization.

      is_archived boolean

      True if this entity relationship has been archived.

      tax_identifier string

      The tax identifier for this entity.

      management_type string

      The entity management type. * EOR: The entity is managed as an Employer of Record. * COR: The entity is managed as a Contractor of Record. * PEO: The entity is managed as a Professional Employment Organization. * null: The entity is a direct hire with no managed employment type.

      Possible values: [PEO,EOR,COR]
      company_id string

      The company associated with this entity relationship.

      ]
    next_link string

    A link to the next page of responses.

Loading...